Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.bea.wli.transform
Annotation Type XQueryTransform.SchemaValidate

    @Retention(value=RUNTIME)
    @Target(value=METHOD)
    public static @interface XQueryTransform.SchemaValidate

Specifies if the source parameters and/or the return value should be schema validated. The SchemaValidate annotation is an optional annotation associated with @XQueryTransform methods.

Optional Element Summary
`boolean` | `parameters` If this attribute is set to true, during run time, the source parameters that have an associated schema will be validated against their schema types before the transformation is executed.
`boolean` | `returnValue` If this attribute is set to true, during run time, if the return type has an associated schema, it will be validated against its schema type after the transformation is executed.

### returnValue

    public abstract boolean returnValue

  If this attribute is set to true, during run time, if the return type has an associated schema, it will be validated against its schema type after the transformation is executed. A typed XML return value will be schema validated against its XML Schema and a typed non-XML return value will be validated against the schema in the MFL file. A return types which is untyped or is a Java primitive will not be validated because it does not have an associated schema.

  Default:
    false

### parameters

    public abstract boolean parameters

  If this attribute is set to true, during run time, the source parameters that have an associated schema will be validated against their schema types before the transformation is executed. All typed XML parameters will be schema validated against their XML Schema and typed non-XML parameters will be validated against the schema in the MFL file. Source parameters which are untyped or are Java primitives will not be validated because they do not have an associated schema.

  Default:
    false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT